Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NCName

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.Name
                  org.apache.axis.types.NCName

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Entities, Entity, Id, IDRef, IDRefs, NMTokens

public class NCName
extends Name

Custom class for supporting XSD data type NCName NCName represents XML "non-colonized" Names The base type of NCName is Name.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.7, NCName Production, Serialized Form

Constructor Summary
`NCName()`
`NCName(String stValue)` ctor for NCName

Method Summary
`boolean` | `isValid(String stValue)` validate the value against the xsd definition NCName ::= (Letter | '_') (NCNameChar)* NCNameChar ::= Letter | Digit | '.' | '-' | '_' | CombiningChar | Extender

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NCName

    public NCName()

### NCName

    public NCName(String stValue)
           throws IllegalArgumentException

  ctor for NCName

Throws:
  `IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(String stValue)

  validate the value against the xsd definition

  NCName ::= (Letter | '_') (NCNameChar)* NCNameChar ::= Letter | Digit | '.' | '-' | '_' | CombiningChar | Extender

  Overrides:
    `isValid` in class `Name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.